### Method

# Adw TabPageset_needs_attention

#### Declaration [src]

    void
    adw_tab_page_set_needs_attention (
      AdwTabPage* self,
      gboolean needs_attention
    )

#### Description [src]

Sets whether `self` needs attention.

`AdwTabBar` will display a line under the tab representing the page if set to `TRUE`. If the tab is not visible, the corresponding edge of the tab bar will be highlighted.

`AdwTabOverview` will display a dot in the corner of the thumbnail if set to `TRUE`.

`AdwTabButton` will display a dot if any of the pages that aren’t selected have `AdwTabPage:needs-attention` set to `TRUE`.

Sets property | `Adw.TabPage:needs-attention`

#### Parameters

`needs_attention`

  Type: `gboolean`

  Whether `self` needs attention.